<?php

namespace Drupal\index_now;

use Drupal\taxonomy\Entity\Term;

/**
 * Node operations interface.
 */
interface TermOperationsInterface {

  /**
   * Acts on a term operation for the allowed vocabularies.
   *
   * @param \Drupal\taxonomy\Entity\Term $term
   *   The term being inserted / updated / deleted.
   */
  public function pingIndexNow(Term $term);

  /**
   * Tells if a term is indexable or not.
   *
   * @param \Drupal\taxonomy\Entity\Term $term
   *   The term being inserted / updated / deleted.
   *
   * @return bool
   *   Return true is the vocabulary has not been excluded in the Index Now conf
   *   if the term is published and if the anonymous role has "access content"
   *   permission.
   */
  public function isIndexable(Term $term);

}
